# $Revision: 1.13 $, $Date: 2009/10/02 08:27:53 $
Summary:	X.org video driver for Glide capable video boards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych obsługujących Glide
Name:		xorg-driver-video-glide
Version:	1.0.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-glide-%{version}.tar.bz2
# Source0-md5:	8fb5271f7f76a92654679647eeddef63
URL:		http://xorg.freedesktop.org/
BuildRequires:	Glide2x_SDK
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-glide < 1:7.0.0
Obsoletes:	XFree86-driver-glide < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Driver for Glide capable video boards (such as 3Dfx Voodoo boards),
meant for use mainly with Voodoo 1 and Voodoo 2 boards (which don't
have 2D acceleration).

%description -l pl.UTF-8
Sterownik dla kart graficznych obsługujących Glide (jak np. karty
3Dfx Voodoo), przeznaczony głównie dla kart Voodoo 1 i Voodoo 2 (nie
mających akceleratora 2D).

%prep
%setup -q -n xf86-video-glide-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/glide_drv.so
%{_mandir}/man4/glide.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-glide.spec,v $
Revision 1.13  2009/10/02 08:27:53  arekm
- release 2

Revision 1.12  2009/09/20 06:10:21  arekm
- up to 1.0.3

Revision 1.11  2009/02/25 21:35:51  arekm
- up to 1.0.2

Revision 1.10  2009/02/25 21:05:05  arekm
- release 5

Revision 1.9  2008/10/28 08:27:00  hawk
- release 4

Revision 1.8  2008/08/30 16:33:21  arekm
- release 3

Revision 1.7  2008/07/01 16:07:47  arekm
- release 2

Revision 1.6  2008/06/19 18:33:25  qboosh
- updated to 1.0.1

Revision 1.5  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.4  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.3  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.2  2007/03/16 18:37:38  qboosh
- more specific hw info in descs
- removed unused DRI deps

Revision 1.1  2007/03/11 18:39:58  arekm
- new
